--- old/usr/src/lib/libzonecfg/common/libzonecfg.c	Wed Oct  5 00:33:26 2016
+++ new/usr/src/lib/libzonecfg/common/libzonecfg.c	Wed Oct  5 00:33:26 2016
@@ -22,8 +22,8 @@
 /*
  * Copyright 2014 Gary Mills
  * Copyright (c) 2003, 2010, Oracle and/or its affiliates. All rights reserved.
- * Copyright 2015 Joyent Inc.
  * Copyright 2015 Nexenta Systems, Inc. All rights reserved.
+ * Copyright 2015 Joyent Inc.
  */
 
 #include <libsysevent.h>
@@ -191,7 +191,6 @@
 	{ALIAS_SHARES, "zone.cpu-shares", "privileged", "none", 0},
 	{ALIAS_CPUCAP, "zone.cpu-cap", "privileged", "deny", 0},
 	{ALIAS_MAXPROCS, "zone.max-processes", "privileged", "deny", 100},
-	{ALIAS_ZFSPRI, "zone.zfs-io-priority", "privileged", "none", 0},
 	{NULL, NULL, NULL, NULL, 0}
 };
 
@@ -239,8 +238,6 @@
 static char zoneadm_lock_held[] = LOCK_ENV_VAR"=1";
 static char zoneadm_lock_not_held[] = LOCK_ENV_VAR"=0";
 
-static void zonecfg_notify_delete(const char *);
-
 char *zonecfg_root = "";
 
 /*
@@ -430,10 +427,8 @@
 	 * Treat failure to find the XML file silently, since, well, it's
 	 * gone, and with the index file cleaned up, we're done.
 	 */
-	if (err == Z_OK || err == Z_NO_ZONE) {
-		zonecfg_notify_delete(zonename);
+	if (err == Z_OK || err == Z_NO_ZONE)
 		return (Z_OK);
-	}
 	return (err);
 }
 
@@ -1130,7 +1125,7 @@
  * In general, the operation of this function should succeed or fail as
  * a unit.
  */
-static int
+int
 zonecfg_refresh_index_file(zone_dochandle_t handle)
 {
 	char name[ZONENAME_MAX], zonepath[MAXPATHLEN];
@@ -1152,15 +1147,6 @@
 	(void) strlcpy(ze.zone_path, zonepath + strlen(zonecfg_root),
 	    sizeof (ze.zone_path));
 
-	if ((err = zonecfg_get_brand(handle, ze.zone_brand,
-	    sizeof (ze.zone_brand))) != 0)
-		return (err);
-
-	if ((err = zonecfg_get_iptype(handle, &ze.zone_iptype)) != Z_OK)
-		return (err);
-
-	ze.zone_did = zonecfg_get_did(handle);
-
 	if (is_renaming(handle)) {
 		opcode = PZE_MODIFY;
 		(void) strlcpy(ze.zone_name, handle->zone_dh_delete_name,
@@ -1503,56 +1489,6 @@
 	}
 }
 
-static void
-zonecfg_notify_conf_change(const char *zname, char *os, char *ns)
-{
-	evchan_t *ze_chan;
-	struct timeval now;
-	uint64_t t;
-	nvlist_t *nvl = NULL;
-
-	if (sysevent_evc_bind(ZONE_EVENT_CHANNEL, &ze_chan, 0) != 0)
-		return;
-
-	/* Current time since Jan 1 1970 but consumers expect NS */
-	gettimeofday(&now, NULL);
-	t = (now.tv_sec * NANOSEC) + (now.tv_usec * 1000);
-
-	if (nvlist_alloc(&nvl, NV_UNIQUE_NAME, KM_SLEEP) == 0 &&
-	    nvlist_add_string(nvl, ZONE_CB_NAME, zname) == 0 &&
-	    nvlist_add_string(nvl, ZONE_CB_NEWSTATE, ns) == 0 &&
-	    nvlist_add_string(nvl, ZONE_CB_OLDSTATE, os) == 0 &&
-	    nvlist_add_int32(nvl, ZONE_CB_ZONEID, -1) == 0 &&
-	    nvlist_add_uint64(nvl, ZONE_CB_TIMESTAMP, t) == 0) {
-		(void) sysevent_evc_publish(ze_chan, ZONE_EVENT_STATUS_CLASS,
-		    ZONE_EVENT_STATUS_SUBCLASS, "sun.com", "zonecfg", nvl,
-		    EVCH_SLEEP);
-	}
-
-	nvlist_free(nvl);
-	(void) sysevent_evc_unbind(ze_chan);
-}
-
-void
-zonecfg_notify_create(zone_dochandle_t handle)
-{
-	char zname[ZONENAME_MAX];
-
-	if (zonecfg_check_handle(handle) != Z_OK)
-		return;
-
-	if (zonecfg_get_name(handle, zname, sizeof (zname)) != Z_OK)
-		return;
-
-	zonecfg_notify_conf_change(zname, "", ZONE_STATE_STR_CONFIGURED);
-}
-
-static void
-zonecfg_notify_delete(const char *zname)
-{
-	zonecfg_notify_conf_change(zname, ZONE_STATE_STR_CONFIGURED, "");
-}
-
 /*
  * Special case: if access(2) fails with ENOENT, then try again using
  * ZONE_CONFIG_ROOT instead of config_file_path(zonename).  This is how we
@@ -2143,32 +2079,6 @@
 }
 
 /*
- * Turn an addr that looks like f:2:0:44:5:6C into 0f:02:00:44:05:6c
- * We're expecting a dst of at least MAXMACADDRLEN size here.
- */
-static void
-normalize_mac_addr(char *dst, const char *src, int len)
-{
-	char *p, *e, *sep = "";
-	long n;
-	char buf[MAXMACADDRLEN], tmp[4];
-
-	*dst = '\0';
-	(void) strlcpy(buf, src, sizeof (buf));
-	p = strtok(buf, ":");
-	while (p != NULL) {
-		n = strtol(p, &e, 16);
-		if (*e != NULL || n > 0xff)
-			return;
-		(void) snprintf(tmp, sizeof (tmp), "%s%02x", sep, n);
-		(void) strlcat(dst, tmp, len);
-
-		sep = ":";
-		p = strtok(NULL, ":");
-	}
-}
-
-/*
  * Determines whether there is a net resource with the physical interface, IP
  * address, and default router specified by 'tabptr' in the zone configuration
  * to which 'handle' refers.  'tabptr' must have an interface, an address, a
@@ -2193,7 +2103,6 @@
 	char address[INET6_ADDRSTRLEN];
 	char physical[LIFNAMSIZ];
 	char mac[MAXMACADDRLEN];
-	char norm_mac[MAXMACADDRLEN];
 	char gnic[LIFNAMSIZ];
 	size_t addrspec;		/* nonzero if tabptr has IP addr */
 	size_t physspec;		/* nonzero if tabptr has interface */
@@ -2250,14 +2159,10 @@
 		    physical, sizeof (physical)) != Z_OK ||
 		    strcmp(tabptr->zone_nwif_physical, physical) != 0))
 			continue;
-		if (iptype == ZS_EXCLUSIVE && macspec != 0) {
-			if (fetchprop(cur, DTD_ATTR_MAC, mac, sizeof (mac)) !=
-			    Z_OK)
-				continue;
-			normalize_mac_addr(norm_mac, mac, sizeof (norm_mac));
-			if (strcmp(tabptr->zone_nwif_mac, norm_mac) != 0)
-				continue;
-		}
+		if (iptype == ZS_EXCLUSIVE && macspec != 0 &&
+		    (fetchprop(cur, DTD_ATTR_MAC, mac, sizeof (mac)) != Z_OK ||
+		    strcmp(tabptr->zone_nwif_mac, mac) != 0))
+			continue;
 		if (iptype == ZS_EXCLUSIVE && gnicspec != 0 &&
 		    (fetchprop(cur, DTD_ATTR_GNIC, gnic,
 		    sizeof (gnic)) != Z_OK ||
@@ -2455,7 +2360,7 @@
 		gnic_match = match_prop(cur, DTD_ATTR_GNIC,
 		    tabptr->zone_nwif_gnic);
 
-		if (((addr_match && allowed_addr_match) || mac_match ||
+		if ((addr_match || allowed_addr_match || mac_match ||
 		    gnic_match) && phys_match) {
 			xmlUnlinkNode(cur);
 			xmlFreeNode(cur);
@@ -4867,7 +4772,7 @@
 	pool_conf_t *poolconf;
 	pool_t *pool;
 	pool_elem_t *pe;
-	pool_value_t *pv;
+	pool_value_t *pv = pool_value_alloc();
 	const char *sched_str;
 
 	if (pool_get_status(&status) != PO_SUCCESS || status != POOL_ENABLED)
@@ -4888,23 +4793,15 @@
 		return (Z_NO_POOL);
 	}
 
-	if ((pv = pool_value_alloc()) == NULL) {
-		(void) pool_conf_close(poolconf);
-		pool_conf_free(poolconf);
-		return (Z_NO_POOL);
-	}
-
 	pe = pool_to_elem(poolconf, pool);
 	if (pool_get_property(poolconf, pe, "pool.scheduler", pv) !=
 	    POC_STRING) {
 		(void) pool_conf_close(poolconf);
-		pool_value_free(pv);
 		pool_conf_free(poolconf);
 		return (Z_NO_ENTRY);
 	}
 	(void) pool_value_get_string(pv, &sched_str);
 	(void) pool_conf_close(poolconf);
-	pool_value_free(pv);
 	pool_conf_free(poolconf);
 	if (strlcpy(class, sched_str, clsize) >= clsize)
 		return (Z_TOO_BIG);
@@ -6174,27 +6071,16 @@
 zone_set_state(char *zone, zone_state_t state)
 {
 	struct zoneent ze;
-	int res;
-	zone_state_t oldst = (zone_state_t)-1;
 
 	if (state != ZONE_STATE_CONFIGURED && state != ZONE_STATE_INSTALLED &&
 	    state != ZONE_STATE_INCOMPLETE)
 		return (Z_INVAL);
 
-	(void) zone_get_state(zone, &oldst);
-
 	bzero(&ze, sizeof (ze));
 	(void) strlcpy(ze.zone_name, zone, sizeof (ze.zone_name));
 	ze.zone_state = state;
 	(void) strlcpy(ze.zone_path, "", sizeof (ze.zone_path));
-	res = putzoneent(&ze, PZE_MODIFY);
-
-	if (res == Z_OK) {
-		zonecfg_notify_conf_change(zone, zone_state_str(oldst),
-		    zone_state_str(state));
-	}
-
-	return (res);
+	return (putzoneent(&ze, PZE_MODIFY));
 }
 
 /*
@@ -6343,30 +6229,6 @@
 	}
 }
 
-/*
- * Changes a zone's UUID to the given value. Returns an error if the UUID is
- * malformed or if the zone cannot be located.
- */
-int
-zonecfg_set_uuid(const char *zonename, const char *zonepath,
-    const char *uuid)
-{
-	int err;
-	struct zoneent ze;
-
-	bzero(&ze, sizeof (ze));
-	ze.zone_state = -1;	/* Preserve existing state in index */
-	(void) strlcpy(ze.zone_name, zonename, sizeof (ze.zone_name));
-	(void) strlcpy(ze.zone_path, zonepath, sizeof (ze.zone_path));
-	if (uuid_parse((char *)uuid, ze.zone_uuid) == -1)
-		return (Z_INVALID_PROPERTY);
-
-	if ((err = putzoneent(&ze, PZE_MODIFY)) != Z_OK)
-		return (err);
-
-	return (Z_OK);
-}
-
 /*
  * File-system convenience functions.
  */
--- old/usr/src/lib/libzonecfg/common/mapfile-vers	Wed Oct  5 00:33:27 2016
+++ new/usr/src/lib/libzonecfg/common/mapfile-vers	Wed Oct  5 00:33:27 2016
@@ -20,7 +20,7 @@
 #
 #
 # Copyright (c) 2006, 2010, Oracle and/or its affiliates. All rights reserved.
-# Copyright 2015, Joyent Inc.
+# Copyright (c) 2011, Joyent Inc. All rights reserved.
 #
 
 #
@@ -175,7 +175,6 @@
 	zonecfg_modify_pset;
 	zonecfg_modify_rctl;
 	zonecfg_notify_bind;
-	zonecfg_notify_create;
 	zonecfg_notify_critical_abort;
 	zonecfg_notify_critical_enter;
 	zonecfg_notify_critical_exit;
@@ -215,7 +214,6 @@
 	zonecfg_set_root;
 	zonecfg_set_sched;
 	zonecfg_set_swinv;
-	zonecfg_set_uuid;
 	zonecfg_set_zonepath;
 	zonecfg_strerror;
 	zonecfg_str_to_bytes;
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
--- old/usr/src/man/man1m/zonecfg.1m	Wed Oct  5 00:33:28 2016
+++ new/usr/src/man/man1m/zonecfg.1m	Wed Oct  5 00:33:28 2016
@@ -10,17 +10,17 @@
 .SH SYNOPSIS
 .LP
 .nf
-\fBzonecfg\fR {\fB-z\fR \fIzonename\fR | \fB-u\fR \fIuuid\fR}
+\fBzonecfg\fR \fB-z\fR \fIzonename\fR
 .fi
 
 .LP
 .nf
-\fBzonecfg\fR {\fB-z\fR \fIzonename\fR | \fB-u\fR \fIuuid\fR} \fIsubcommand\fR
+\fBzonecfg\fR \fB-z\fR \fIzonename\fR \fIsubcommand\fR
 .fi
 
 .LP
 .nf
-\fBzonecfg\fR {\fB-z\fR \fIzonename\fR | \fB-u\fR \fIuuid\fR} \fB-f\fR \fIcommand_file\fR
+\fBzonecfg\fR \fB-z\fR \fIzonename\fR \fB-f\fR \fIcommand_file\fR
 .fi
 
 .LP
@@ -42,8 +42,7 @@
 .sp
 .in +2
 .nf
-{\fB-z\fR \fIzonename\fR | \fB-u\fR \fIuuid\fR}
-zonecfg {\fB-z\fR \fIzonename | \fB-u\fR \fIuuid} subcommand\fR
+zonecfg \fB-z\fR \fIzonename subcommand\fR
 .fi
 .in -2
 .sp
@@ -335,16 +334,6 @@
 .sp
 .ne 2
 .na
-\fB(global)\fR
-.ad
-.sp .6
-.RS 4n
-\fBzfs-io-priority\fR
-.RE
-
-.sp
-.ne 2
-.na
 \fB\fBfs\fR\fR
 .ad
 .sp .6
@@ -359,7 +348,7 @@
 .ad
 .sp .6
 .RS 4n
-\fBaddress\fR, \fBallowed-address\fR, \fBdefrouter\fR, \fBglobal-nic\fR, \fBmac-addr\fR, \fBphysical\fR, \fBproperty\fR, \fBvlan-id\fR
+\fBaddress\fR, \fBphysical\fR, \fBdefrouter\fR
 .RE
 
 .sp
@@ -622,20 +611,10 @@
 .sp
 .ne 2
 .na
-\fB\fBinherit-pkg-dir\fR: dir\fR
+\fB\fBnet\fR: address, physical, defrouter\fR
 .ad
 .sp .6
 .RS 4n
-The directory path.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBnet\fR: address, allowed-address, defrouter, global-nic, mac-addr, physical, property, vlan-id\fR
-.ad
-.sp .6
-.RS 4n
 The network address and physical interface name of the network interface. The
 network address is one of:
 .RS +4
@@ -671,10 +650,6 @@
 configured \fBdown\fR in the global zone, and the default router for the
 interface should be specified here.
 .sp
-The global-nic is used for exclusive stack zones which will use a VNIC on-demand.  When the zone boots, a VNIC named using the physical property will be created on the global NIC.  If provided, the mac-addr and vlan-id will be set on this VNIC.
-.sp
-The \fBproperty\fR setting is a resource which can be used to set arbitrary name/value pairs on the network.  These name/value pairs are made available to the zone's brand, which can use them as needed to set up the network interface.
-.sp
 For an exclusive-IP zone, the physical property must be set and the address and
 default router properties cannot be set.
 .RE
@@ -911,16 +886,6 @@
 .RE
 
 .sp
-.ne 2
-.na
-\fBglobal: \fBzfs-io-priority\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies a priority for this zone's ZFS I/O. The priority is used by the ZFS I/O scheduler as in input to determine how to schedule I/O across zones. By default all zones have a priority of 1. The value can be increased for zones whose I/O is more critical. This property is the preferred way to set the \fBzone.zfs-io-priority\fR rctl.
-.RE
-
-.sp
 .LP
 The following table summarizes resources, property-names, and types:
 .sp
@@ -943,7 +908,6 @@
 (global)          max-shm-ids     simple
 (global)          max-shm-memory  simple
 (global)          scheduling-class simple
-(global)          zfs-io-priority simple
 fs                dir             simple
                    special         simple
                    raw             simple
@@ -950,15 +914,7 @@
                    type            simple
                    options         list of simple
 net               address         simple
-                   allowed-address simple
-                   defrouter       simple
-                   global-nic      simple
-                   mac-addr        simple
                    physical        simple
-                   property        list of complex
-                    name            simple
-                    value           simple
-                   vlan-id         simple
 device            match           simple
 rctl              name            simple
                    value           list of complex
@@ -1169,16 +1125,6 @@
 cannot be used.
 .RE
 
-.sp
-.ne 2
-.na
-\fB\fB-u\fR \fIuuid\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specify the uuid of a zone instead of the Zone name.
-.RE
-
 .SH SUBCOMMANDS
 .LP
 You can use the \fBadd\fR and \fBselect\fR subcommands to select a specific
@@ -1268,7 +1214,8 @@
 .sp
 .ne 2
 .na
-\fB\fBcreate [\fR\fB-F\fR\fB] [\fR \fB-a\fR \fIpath\fR |\fB-b\fR \fB|\fR \fB-t\fR \fItemplate\fR\fB] [\fR\fB-X\fR\fB]\fR\fR
+\fB\fBcreate [\fR\fB-F\fR\fB] [\fR \fB-a\fR \fIpath\fR |\fB-b\fR \fB|\fR
+\fB-t\fR \fItemplate\fR\fB]\fR\fR
 .ad
 .sp .6
 .RS 4n
@@ -1290,8 +1237,6 @@
 .sp
 Use the \fB-b\fR option to create a blank configuration. Without arguments,
 \fBcreate\fR applies the Sun default settings.
-.sp
-Use the \fB-X\fR option to facilitate creating a zone whose XML definition already exists on the host. The zone will be atomically added to the zone index file.
 .RE
 
 .sp
@@ -1368,21 +1313,18 @@
 .sp
 .ne 2
 .na
-\fB\fBremove\fR [\fR\fB-F\fR\fB] \fIresource-type\fR\fB [\fR\fIproperty-name\fR\fB=\fR\fIproperty-value\fR\fB]* \fR(global scope)\fR
-.br
-\fB\fBremove\fR \fR\fIproperty-name\fR\fB \fR\fIproperty-value\fR\fB \fR(resource scope)\fR
+\fB\fBremove\fR \fIresource-type\fR\fB{\fR\fIproperty-name\fR\fB=\fR\fIproperty
+-value\fR\fB}\fR(global scope)\fR
 .ad
 .sp .6
 .RS 4n
 In the global scope, removes the specified resource. The \fB[]\fR syntax means
-0 or more property name-value pairs. If you want to only remove a
+0 or more of whatever is inside the square braces. If you want only to remove a
 single instance of the resource, you must specify enough property name-value
 pairs for the resource to be uniquely identified. If no property name-value
 pairs are specified, all instances will be removed. If there is more than one
-pair specified, a confirmation is required, unless you use the \fB-F\fR
-option. Likewise, the \fB-F\fR option can be used to remove a resource that
-does not exist (that is, no error will occur). In the resource scope, remove
-the specified name-value pair.
+pair is specified, a confirmation is required, unless you use the \fB-F\fR
+option.
 .RE
 
 .sp
--- old/usr/src/man/man5/Makefile	Wed Oct  5 00:33:29 2016
+++ new/usr/src/man/man5/Makefile	Wed Oct  5 00:33:29 2016
@@ -81,7 +81,6 @@
 		ms.5			\
 		mutex.5			\
 		nfssec.5		\
-		overlay.5		\
 		pam_allow.5		\
 		pam_authtok_check.5	\
 		pam_authtok_get.5	\
No differences encountered
No differences encountered
No differences encountered
--- old/usr/src/man/man7d/Makefile	Wed Oct  5 00:33:30 2016
+++ new/usr/src/man/man7d/Makefile	Wed Oct  5 00:33:30 2016
@@ -11,8 +11,8 @@
 
 #
 # Copyright 2011, Richard Lowe
+# Copyright 2014 Joyent, Inc. All rights reserved.
 # Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
-# Copyright 2016 Joyent, Inc.
 # Copyright 2016 Garrett D'Amore <garrett@damore.org>
 # Copyright 2016 Joyent, Inc.
 #
@@ -144,7 +144,6 @@
 		virtualkm.7d	\
 		vni.7d		\
 		vr.7d		\
-		vnd.7d		\
 		wscons.7d	\
 		xge.7d		\
 		yge.7d		\
No differences encountered
No differences encountered
No differences encountered
--- old/usr/src/pkg/manifests/system-header.mf	Wed Oct  5 00:33:30 2016
+++ new/usr/src/pkg/manifests/system-header.mf	Wed Oct  5 00:33:30 2016
@@ -474,7 +474,6 @@
 file path=usr/include/kstat.h
 file path=usr/include/kvm.h
 file path=usr/include/langinfo.h
-file path=usr/include/lastlog.h
 file path=usr/include/lber.h
 file path=usr/include/ldap.h
 file path=usr/include/libcontract.h
@@ -1179,6 +1178,7 @@
 file path=usr/include/sys/ldterm.h
 file path=usr/include/sys/lgrp.h
 file path=usr/include/sys/lgrp_user.h
+file path=usr/include/sys/limits.h
 file path=usr/include/sys/link.h
 file path=usr/include/sys/list.h
 file path=usr/include/sys/list_impl.h
--- old/usr/src/pkg/manifests/system-kernel.mf	Wed Oct  5 00:33:31 2016
+++ new/usr/src/pkg/manifests/system-kernel.mf	Wed Oct  5 00:33:31 2016
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2012, Nexenta Systems, Inc. All rights reserved.
 # Copyright 2013 Saso Kiselkov. All rights reserved.
 # Copyright 2015 Nexenta Systems, Inc. All rights reserved.
 #
@@ -235,7 +236,9 @@
 driver name=poll perms="* 0666 root sys"
 $(sparc_ONLY)driver name=power alias=ali1535d+-power
 $(i386_ONLY)driver name=power
-driver name=pseudo alias=zconsnex
+driver name=pseudo \
+    alias=zconsnex \
+    alias=zfdnex
 driver name=ptc perms="* 0666 root sys"
 driver name=ptsl perms="* 0666 root sys"
 $(sparc_ONLY)driver name=ramdisk alias=SUNW,ramdisk perms="* 0600 root sys" \
@@ -762,9 +765,13 @@
 $(i386_ONLY)file path=kernel/sched/SDC group=sys mode=0755
 $(i386_ONLY)file path=kernel/sched/TS group=sys mode=0755
 $(i386_ONLY)file path=kernel/sched/TS_DPTBL group=sys mode=0755
+file path=kernel/socketmod/$(ARCH64)/datafilt group=sys mode=0755
+file path=kernel/socketmod/$(ARCH64)/httpfilt group=sys mode=0755
 file path=kernel/socketmod/$(ARCH64)/ksslf group=sys mode=0755
 file path=kernel/socketmod/$(ARCH64)/socksctp group=sys mode=0755
 file path=kernel/socketmod/$(ARCH64)/trill group=sys mode=0755
+$(i386_ONLY)file path=kernel/socketmod/datafilt group=sys mode=0755
+$(i386_ONLY)file path=kernel/socketmod/httpfilt group=sys mode=0755
 $(i386_ONLY)file path=kernel/socketmod/ksslf group=sys mode=0755
 $(i386_ONLY)file path=kernel/socketmod/socksctp group=sys mode=0755
 $(i386_ONLY)file path=kernel/socketmod/trill group=sys mode=0755
--- old/usr/src/pkg/manifests/system-test-ostest.mf	Wed Oct  5 00:33:31 2016
+++ new/usr/src/pkg/manifests/system-test-ostest.mf	Wed Oct  5 00:33:31 2016
@@ -12,7 +12,6 @@
 #
 # Copyright (c) 2012 by Delphix. All rights reserved.
 # Copyright 2014, OmniTI Computer Consulting, Inc. All rights reserved.
-# Copyright 2016, Joyent, Inc.
 #
 
 set name=pkg.fmri value=pkg:/system/test/ostest@$(PKGVERS)
@@ -29,14 +28,16 @@
 dir path=opt/os-tests/tests/sigqueue
 file path=opt/os-tests/README mode=0444
 file path=opt/os-tests/bin/ostest mode=0555
-file path=opt/os-tests/runfiles/default.run mode=0444
+file path=opt/os-tests/runfiles/delphix.run mode=0444
+file path=opt/os-tests/runfiles/omnios.run mode=0444
+file path=opt/os-tests/runfiles/openindiana.run mode=0444
+file path=opt/os-tests/tests/file-locking/acquire-lock.32 mode=0555
+file path=opt/os-tests/tests/file-locking/acquire-lock.64 mode=0555
+file path=opt/os-tests/tests/file-locking/runtests.32 mode=0555
+file path=opt/os-tests/tests/file-locking/runtests.64 mode=0555
 file path=opt/os-tests/tests/poll_test mode=0555
 file path=opt/os-tests/tests/sigqueue/sigqueue_queue_size mode=0555
 file path=opt/os-tests/tests/spoof-ras mode=0555
-file path=opt/os-tests/tests/file-locking/runtests.32 mode=0555
-file path=opt/os-tests/tests/file-locking/runtests.64 mode=0555
-file path=opt/os-tests/tests/file-locking/acquire-lock.32 mode=0555
-file path=opt/os-tests/tests/file-locking/acquire-lock.64 mode=0555
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
 depend fmri=system/test/testrunner type=require
--- old/usr/src/pkg/manifests/system-zones-brand-lx.mf	Wed Oct  5 00:33:31 2016
+++ new/usr/src/pkg/manifests/system-zones-brand-lx.mf	Wed Oct  5 00:33:31 2016
@@ -39,7 +39,14 @@
 set name=variant.arch value=i386
 dir path=etc group=sys
 dir path=etc/zones group=sys
+dir path=kernel group=sys
+dir path=kernel/fs group=sys
+dir path=kernel/fs/$(ARCH64) group=sys
+dir path=kernel/socketmod group=sys
+dir path=kernel/socketmod/$(ARCH64) group=sys
 dir path=usr group=sys
+dir path=usr/include group=bin
+dir path=usr/include/sys group=bin
 dir path=usr/kernel group=sys
 dir path=usr/kernel/brand group=sys
 dir path=usr/kernel/brand/$(ARCH64) group=sys
@@ -55,59 +62,81 @@
 dir path=usr/lib/brand
 dir path=usr/lib/brand/lx
 dir path=usr/lib/brand/lx/$(ARCH64)
-dir path=usr/lib/brand/lx/distros
+dir path=usr/lib/brand/lx/ld
+dir path=usr/lib/brand/lx/ld/64
 dir path=usr/lib/devfsadm group=sys
 dir path=usr/lib/devfsadm/linkmod group=sys
-driver name=lx_audio
+dir path=usr/share
+dir path=usr/share/man
+dir path=usr/share/man/man3c
+dir path=usr/share/man/man5
+dir path=usr/share/man/man7fs
+driver name=inotify perms="* 0666 root sys"
 driver name=lx_ptm perms="lx_ptmajor 0666 root sys"
 driver name=lx_systrace perms="* 0644 root sys"
+driver name=lxautofs perms="lxautofs 0600 root sys"
 file path=etc/zones/SUNWlx.xml mode=0444
 file path=etc/zones/SUNWlx26.xml mode=0444
+file path=kernel/socketmod/$(ARCH64)/lx_netlink mode=0755
+file path=kernel/socketmod/lx_netlink mode=0755
 file path=usr/kernel/brand/$(ARCH64)/lx_brand group=sys mode=0755
 file path=usr/kernel/brand/lx_brand group=sys mode=0755
-file path=usr/kernel/drv/$(ARCH64)/lx_audio group=sys
-file path=usr/kernel/drv/$(ARCH64)/lx_ptm group=sys
-file path=usr/kernel/drv/$(ARCH64)/lx_systrace group=sys
-file path=usr/kernel/drv/lx_audio group=sys
-file path=usr/kernel/drv/lx_audio.conf group=sys
+file path=usr/kernel/drv/$(ARCH64)/inotify group=sys mode=0755
+file path=usr/kernel/drv/$(ARCH64)/lx_ptm group=sys mode=0755
+file path=usr/kernel/drv/$(ARCH64)/lx_systrace group=sys mode=0755
+file path=usr/kernel/drv/$(ARCH64)/lxautofs group=sys mode=0755
+file path=usr/kernel/drv/inotify group=sys mode=0755
+file path=usr/kernel/drv/inotify.conf group=sys
 file path=usr/kernel/drv/lx_ptm group=sys
 file path=usr/kernel/drv/lx_ptm.conf group=sys
 file path=usr/kernel/drv/lx_systrace group=sys
 file path=usr/kernel/drv/lx_systrace.conf group=sys
-file path=usr/kernel/fs/$(ARCH64)/lx_afs group=sys mode=0755
+file path=usr/kernel/drv/lxautofs group=sys mode=0755
+file path=usr/kernel/drv/lxautofs.conf group=sys
+file path=usr/kernel/fs/$(ARCH64)/lx_cgroup group=sys mode=0755
+file path=usr/kernel/fs/$(ARCH64)/lx_devfs group=sys mode=0755
 file path=usr/kernel/fs/$(ARCH64)/lx_proc group=sys mode=0755
-file path=usr/kernel/fs/lx_afs group=sys mode=0755
+file path=usr/kernel/fs/$(ARCH64)/lx_sysfs group=sys mode=0755
+file path=usr/kernel/fs/lx_cgroup group=sys mode=0755
+file path=usr/kernel/fs/lx_devfs group=sys mode=0755
 file path=usr/kernel/fs/lx_proc group=sys mode=0755
-file path=usr/kernel/strmod/$(ARCH64)/ldlinux group=sys mode=0755
-file path=usr/kernel/strmod/ldlinux group=sys mode=0755
+file path=usr/kernel/fs/lx_sysfs group=sys mode=0755
+#file path=usr/kernel/strmod/$(ARCH64)/ldlinux group=sys mode=0755
+#file path=usr/kernel/strmod/ldlinux group=sys mode=0755
+file path=usr/lib/$(ARCH64)/lx_brand.so.1
 file path=usr/lib/brand/lx/$(ARCH64)/lx_librtld_db.so.1
+file path=usr/lib/brand/lx/$(ARCH64)/lx_vdso.so.1 mode=0755
 file path=usr/lib/brand/lx/config.xml mode=0444
-file path=usr/lib/brand/lx/distros/centos35.distro mode=0444
-file path=usr/lib/brand/lx/distros/centos36.distro mode=0444
-file path=usr/lib/brand/lx/distros/centos37.distro mode=0444
-file path=usr/lib/brand/lx/distros/centos38.distro mode=0444
-file path=usr/lib/brand/lx/distros/rhel35.distro mode=0444
-file path=usr/lib/brand/lx/distros/rhel36.distro mode=0444
-file path=usr/lib/brand/lx/distros/rhel37.distro mode=0444
-file path=usr/lib/brand/lx/distros/rhel38.distro mode=0444
-file path=usr/lib/brand/lx/distros/rhel_centos_common mode=0444
 file path=usr/lib/brand/lx/etc_default_nfs group=sys mode=0444
-file path=usr/lib/brand/lx/lx_distro_install mode=0755
-file path=usr/lib/brand/lx/lxinit mode=0755
-file path=usr/lib/brand/lx/lx_init_zone mode=0755
-file path=usr/lib/brand/lx/lx_init_zone_debian mode=0755
-file path=usr/lib/brand/lx/lx_init_zone_redhat mode=0755
+file path=usr/lib/brand/lx/ld/64/ld.config group=sys
+file path=usr/lib/brand/lx/ld/ld.config group=sys
+file path=usr/lib/brand/lx/ltp_skiplist group=sys mode=0444
+file path=usr/lib/brand/lx/ltp_tests group=sys mode=0444
+file path=usr/lib/brand/lx/lx_boot mode=0755
+file path=usr/lib/brand/lx/lx_boot_zone_busybox mode=0755
+file path=usr/lib/brand/lx/lx_boot_zone_debian mode=0755
+file path=usr/lib/brand/lx/lx_boot_zone_redhat mode=0755
+file path=usr/lib/brand/lx/lx_boot_zone_ubuntu mode=0755
 file path=usr/lib/brand/lx/lx_install mode=0755
 file path=usr/lib/brand/lx/lx_librtld_db.so.1
-file path=usr/lib/brand/lx/lx_native mode=0755
 file path=usr/lib/brand/lx/lx_support mode=0755
+file path=usr/lib/brand/lx/lx_vdso.so.1 mode=0755
+file path=usr/lib/brand/lx/lxinit mode=0555
 file path=usr/lib/brand/lx/platform.xml mode=0444
 file path=usr/lib/devfsadm/linkmod/SUNW_lx_link_$(ARCH).so group=sys
 file path=usr/lib/lx_brand.so.1
+file path=usr/share/man/man3c/inotify_add_watch.3c
+file path=usr/share/man/man3c/inotify_init.3c
+file path=usr/share/man/man3c/inotify_rm_watch.3c
+file path=usr/share/man/man5/inotify.5
+file path=usr/share/man/man5/lx.5
 hardlink path=usr/kernel/dtrace/$(ARCH64)/lx_systrace \
     target=../../../kernel/drv/$(ARCH64)/lx_systrace
 hardlink path=usr/kernel/dtrace/lx_systrace \
     target=../../kernel/drv/lx_systrace
+hardlink path=usr/kernel/fs/$(ARCH64)/lxautofs \
+    target=../../../kernel/drv/$(ARCH64)/lxautofs
+hardlink path=usr/kernel/fs/lxautofs target=../../kernel/drv/lxautofs
 legacy pkg=SUNWlxr arch=$(ARCH) category=system \
     desc="Support for the 'lx' Brand" \
     hotline="Please contact your local service provider" \
--- old/usr/src/pkg/manifests/system-zones.mf	Wed Oct  5 00:33:31 2016
+++ new/usr/src/pkg/manifests/system-zones.mf	Wed Oct  5 00:33:31 2016
@@ -46,6 +46,7 @@
 dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/brand
 dir path=usr/lib/brand/ipkg group=bin
+dir path=usr/lib/brand/lipkg group=bin
 dir path=usr/lib/brand/shared group=sys
 dir path=usr/lib/zones
 dir path=usr/sbin
@@ -59,6 +60,7 @@
 dir path=usr/share/man/man5
 dir path=usr/share/man/man7d
 driver name=zcons
+driver name=zfd
 file path=etc/zones/SUNWblank.xml mode=0444 variant.opensolaris.zone=global
 file path=etc/zones/SUNWdefault.xml mode=0444 variant.opensolaris.zone=global
 file path=etc/zones/index group=sys original_name=SUNWzone:etc/zones/index \
@@ -76,12 +78,16 @@
     variant.opensolaris.zone=global
 file path=usr/bin/zonestat mode=0555
 file path=usr/kernel/drv/$(ARCH64)/zcons group=sys
+file path=usr/kernel/drv/$(ARCH64)/zfd group=sys
 $(i386_ONLY)file path=usr/kernel/drv/zcons group=sys
+$(i386_ONLY)file path=usr/kernel/drv/zfd group=sys mode=0755
 file path=usr/lib/$(ARCH64)/libbrand.so.1
 file path=usr/lib/$(ARCH64)/libzonecfg.so.1
 file path=usr/lib/$(ARCH64)/libzonestat.so.1
 file path=usr/lib/brand/ipkg/config.xml mode=0444
 file path=usr/lib/brand/ipkg/platform.xml mode=0444
+file path=usr/lib/brand/lipkg/config.xml mode=0444
+file path=usr/lib/brand/lipkg/platform.xml mode=0444
 file path=usr/lib/brand/shared/common.ksh mode=0444
 file path=usr/lib/brand/shared/query mode=0755
 file path=usr/lib/brand/shared/uninstall.ksh mode=0444
@@ -103,6 +109,7 @@
 file path=usr/share/man/man5/brands.5
 file path=usr/share/man/man5/zones.5
 file path=usr/share/man/man7d/zcons.7d
+file path=usr/share/man/man7d/zfd.7d
 legacy pkg=SUNWzoner desc="Solaris Zones Configuration Files" \
     name="Solaris Zones (Root)"
 legacy pkg=SUNWzoneu desc="Solaris Zones Configuration and Administration" \
--- /dev/null	Wed Oct  5 00:32:45 2016
+++ new/usr/src/test/os-tests/runfiles/omnios.run	Wed Oct  5 00:33:31 2016
@@ -0,0 +1,35 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+#
+# Copyright (c) 2012 by Delphix. All rights reserved.
+#
+
+[DEFAULT]
+pre =
+verbose = False
+quiet = False
+timeout = 60
+post =
+outputdir = /var/tmp/test_results
+
+[/opt/os-tests/tests/poll_test]
+user = root
+
+[/opt/os-tests/tests/sigqueue]
+tests = ['sigqueue_queue_size']
+
+[/opt/os-tests/tests/tmpfs]
+user = root
+tests = ['tmpfs_badmount', 'tmpfs_enospc']
+
+[/opt/os-tests/tests/file-locking]
+tests = ['runtests.32', 'runtests.64']
--- old/usr/src/test/os-tests/tests/Makefile	Wed Oct  5 00:33:31 2016
+++ new/usr/src/test/os-tests/tests/Makefile	Wed Oct  5 00:33:31 2016
@@ -13,6 +13,6 @@
 # Copyright (c) 2012 by Delphix. All rights reserved.
 #
 
-SUBDIRS = poll sigqueue spoof-ras tmpfs file-locking
+SUBDIRS = poll sigqueue spoof-ras file-locking
 
 include $(SRC)/test/Makefile.com
--- old/usr/src/test/os-tests/tests/file-locking/Makefile	Wed Oct  5 00:33:31 2016
+++ new/usr/src/test/os-tests/tests/file-locking/Makefile	Wed Oct  5 00:33:31 2016
@@ -25,12 +25,10 @@
 C99MODE = -xc99=%all
 
 SRCS = $(PROGS:%=%.c) $(UTILS)
+LINTS = $(SRCS:%.c=%.ln)
 PROGS32 = $(PROGS:%=%.32)
 PROGS64 = $(PROGS:%=%.64)
 
-runtests.32 :=	LDLIBS += -lgen
-runtests.64 :=	LDLIBS64 += -lgen
-
 ROOTOPTDIR = $(ROOT)/opt/os-tests/tests/file-locking
 ROOTOPTPROGS = $(PROGS32:%=$(ROOTOPTDIR)/%) \
 	$(PROGS64:%=$(ROOTOPTDIR)/%)
@@ -47,7 +45,7 @@
 
 all: $(PROGS32) $(PROGS64)
 
-lint: lint_SRCS
+lint: $(LINTS)
 
 clean:
 	-rm $(PROGS32) $(PROGS64)
No differences encountered
No differences encountered
No differences encountered
No differences encountered
